const { Level } = require('level');

const dataDir = process.env.LEVEL_DATA_DIR || 'data';

module.exports = {
  applicationData: new Level(`${dataDir}/applicationData`, { valueEncoding: 'json' }),
  forum: new Level(`${dataDir}/forum`, { valueEncoding: 'json' }),
  authorAddresses: new Level(`${dataDir}/authorAddresses`),
  authorPrivKeys: new Level(`${dataDir}/authorPrivKeys`),
  appState: new Level(`${dataDir}/appState`, { valueEncoding: 'json' }),
  proposalEventIds: new Level(`${dataDir}/proposalEventIds`, { keyEncoding: 'json' }),
  referendumEventIds: new Level(`${dataDir}/referendumEventIds`, { keyEncoding: 'json' }),
  matrixUserToAuthorAddress: new Level(`${dataDir}/matrixUserToAuthorAddress`),
  authorAddressToMatrixUser: new Level(`${dataDir}/authorAddressToMatrixUser`),
  matrixPools: new Level(`${dataDir}/matrixPools`, { valueEncoding: 'json' }),
};
