const proposalsNotifier = require('./proposals-notifier');
const validationPools = require('./validation-pools');
const work1 = require('./work1');
const rollup = require('./rollup');
const registerIdentity = require('./register-identity');
const botCommands = require('./bot-commands');

const start = () => {
  proposalsNotifier.start();
  validationPools.start();
  work1.start();
  rollup.start();
  registerIdentity.start();
  botCommands.start();
};

module.exports = {
  start,
};
