const { rollup } = require('../../../util/contracts');

const fetchBatchItemsInfo = async () => {
  // Read from Rollup.items
  const itemCount = await rollup.itemCount();
  const promises = [];
  for (let i = 0; i < itemCount; i += 1) {
    promises.push(rollup.items(i));
  }
  return Promise.all(promises);
};

module.exports = fetchBatchItemsInfo;
