const deployContract = require('./deploy-contract');

const contractAddresses = require('../../contract-addresses.json');

require('dotenv').config();

const network = process.env.HARDHAT_NETWORK;

const deployDAOContract = async (name, args = []) => {
  await deployContract(name, [contractAddresses[network].DAO, ...args]);
};

module.exports = deployDAOContract;
