import { getContractNameByAddress } from './contract-config';

const getAddressName = (chainId, address) => {
  const contractName = getContractNameByAddress(chainId, address);
  if (contractName) return `${contractName} Contract`;
  const addressParts = [
    address.slice(0, 7),

    address.slice(address.length - 5),
  ];
  return addressParts.join('...');
};

export default getAddressName;
